### Method

# Camel MessageInfo set_folder_flagged

since: 3.24

#### Declaration [src]

    gboolean
    camel_message_info_set_folder_flagged (
      CamelMessageInfo* mi,
      gboolean folder_flagged
    )

#### Description [src]

Changes the folder-flagged flag to the `folder_flagged` value. See `camel_message_info_get_folder_flagged()` for more information about the use of this flag.

This is only a convenient wrapper around CAMEL_MESSAGE_FOLDER_FLAGGED flag, for better readiness of the code.

Available since: 3.24

Sets property | `Camel.MessageInfo:folder-flagged`

#### Parameters

`folder_flagged`

  Type: `gboolean`

  A value to set to.

#### Return value

Type: `gboolean`

Whether the flag had been changed.